@CleanyBoom

Странная ошибка peewee sqlite?

Traceback (most recent call last): File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 3160, in execute_sql cursor.execute(sql, params or ()) sqlite3.OperationalError: table webbills has no column named yoo_id During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/niccord/site/./ds.py", line 365, in buy Webbills.create(id=r, amount=price, File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 6393, in create inst.save(force_insert=True) File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 6603, in save pk = self.insert(**field_dict).execute() File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 1911, in inner return method(self, database, *args, **kwargs) File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 1982, in execute return self._execute(database) File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 2761, in _execute return super(Insert, self)._execute(database) File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 2479, in _execute cursor = database.execute(self) File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 3173, in execute return self.execute_sql(sql, params, commit=commit) File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 3167, in execute_sql self.commit() File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 2933, in __exit__ reraise(new_type, new_type(exc_value, *exc_args), traceback) File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 191, in reraise raise value.with_traceback(tb) File "/home/niccord/site/sitevenv/lib/python3.8/site-packages/peewee.py", line 3160, in execute_sql cursor.execute(sql, params or ()) peewee.OperationalError: table webbills has no column named yoo_id

Работаю с готовым кодом с использованием библиотеки peeweee. Возникает ошибка выше. Но колонка в таблице есть! Скрин прикрепляю.
P.S. Когда запускаешь его на локальной машине проблем нет, как только ставишь на сервер, все сразу умирает на этом моменте
LVAx1Pn.png

upd. Модель:
class Webbills(Model):
    id = BigAutoField(primary_key=True, unique=True)
    amount = IntegerField()
    status = IntegerField(default=0)
    time = IntegerField()
    type = TextField(default="")
    yoo_id = TextField(default="")

    class Meta:
        database = db
  • Вопрос задан
  • 61 просмотр
Пригласить эксперта
Ответы на вопрос 1
@AVKor
В сообщении об ошибке всё написано:
OperationalError: table webbills has no column named yoo_id During handling of the above exception, another exception occurred

...
P.S. Когда запускаешь его на локальной машине проблем нет, как только ставишь на сервер, все сразу умирает на этом моменте

Значит, что-то сделали неправильно на сервере.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы